<?php

/**
*
* BenSino IT Corporation
* Copyright © 2015
* All rights reserved
*
*/

/**
 * Implements hook_form_FORM_ID_alter().
 *
 * @param $form
 *   The form.
 * @param $form_state
 *   The form state.
 */
function bensino_eng_theme_form_system_theme_settings_alter(&$form, &$form_state) {

  $form['bensino_settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('BenSino Theme Settings'),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
  );
  $form['bensino_settings']['breadcrumbs'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show breadcrumbs in a page'),
    '#default_value' => theme_get_setting('breadcrumbs','bensino_eng_theme'),
    '#description'   => t("Check this option to show breadcrumbs. Uncheck to hide."),
  );
  $form['bensino_settings']['slideshow'] = array(
    '#type' => 'fieldset',
    '#title' => t('Front Page Slideshow'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
  $form['bensino_settings']['slideshow']['slideshow_display'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show slideshow'),
    '#default_value' => theme_get_setting('slideshow_display','bensino_eng_theme'),
    '#description'   => t("Check this option to show Slideshow in front page. Uncheck to hide."),
  );
  $form['bensino_settings']['slideshow']['slide'] = array(
    '#markup' => t('You can change the description and URL of each slide in Slide Setting FieldSets.'),
  );
  $form['bensino_settings']['slideshow']['slide1'] = array(
    '#type' => 'fieldset',
    '#title' => t('Slide 1'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['bensino_settings']['slideshow']['slide1']['slide1_head'] = array(
    '#type' => 'textfield',
    '#title' => t('Slide Headline'),
    '#default_value' => theme_get_setting('slide1_head','bensino_eng_theme'),
  );
  $form['bensino_settings']['slideshow']['slide1']['slide1_desc'] = array(
    '#type' => 'textarea',
    '#title' => t('Slide Description'),
    '#default_value' => theme_get_setting('slide1_desc','bensino_eng_theme'),
  );
  $form['bensino_settings']['slideshow']['slide2'] = array(
    '#type' => 'fieldset',
    '#title' => t('Slide 2'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['bensino_settings']['slideshow']['slide2']['slide2_head'] = array(
    '#type' => 'textfield',
    '#title' => t('Slide Headline'),
    '#default_value' => theme_get_setting('slide2_head','bensino_eng_theme'),
  );
  $form['bensino_settings']['slideshow']['slide2']['slide2_desc'] = array(
    '#type' => 'textarea',
    '#title' => t('Slide Description'),
    '#default_value' => theme_get_setting('slide2_desc','bensino_eng_theme'),
  );
  $form['bensino_settings']['slideshow']['slide3'] = array(
    '#type' => 'fieldset',
    '#title' => t('Slide 3'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['bensino_settings']['slideshow']['slide3']['slide3_head'] = array(
    '#type' => 'textfield',
    '#title' => t('Slide Headline'),
    '#default_value' => theme_get_setting('slide3_head','bensino_eng_theme'),
  );
  $form['bensino_settings']['slideshow']['slide3']['slide3_desc'] = array(
    '#type' => 'textarea',
    '#title' => t('Slide Description'),
    '#default_value' => theme_get_setting('slide3_desc','bensino_eng_theme'),
  );
  $form['bensino_settings']['slideshow']['slideimage'] = array(
    '#markup' => t('To change the Slide Images, Replace africa_img1.jpg, africa_img2.jpg and africa_img3.jpg in the images folder of BenSino Eng Theme folder.'),
  );

}
